TAAS - Feature #109

Non Billing Tax Account
12/02/2022 02:47 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 12/14/2022
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Non Billing Tax Account

Description

Coding Non Billing Tax Account

History

#1 - 12/08/2022 09:40 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 12/12/2022 06:03 PM - Anil KV
- Assignee changed from Junaid M to Anand V Gopal

#3 - 12/14/2022 04:38 PM - Anand V Gopal
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 12/15/2022 10:02 AM - Anand V Gopal
- Start date changed from 12/02/2022 to 12/14/2022

#5 - 12/23/2022 12:00 PM - Anand V Gopal

- Status changed from Coding Started to Particialy Coding Done

Non Billing Tax Account partially coding done as Taxes column in grid not complete.

#6 - 01/17/2023 10:45 AM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

ISSSUE FOUND ****
1.ALIGN DROP DOWN LABEL TOGGLE
2.SET MANDATORY FIELDS RED

#7 - 01/18/2023 10:03 AM - Anand V Gopal

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 04/24/2023 05:39 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Cant save - Customer / Supplier auto completion not working
2.Error on console

(while module Open & Refresh)

#9 - 04/26/2023 06:08 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 06/21/2023 06:40 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Add div expand on GUI

2.Fix bugs on Status selection box

(Remove - Not active, Debit side blocked, Credit side blocked)

#11 - 06/22/2023 06:09 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

GUI Changed in Non billing tax account : Div expand added and Status field contents changed.

#12 - 10/07/2023 05:15 PM - Junaid M

- Assignee changed from Anand V Gopal to Abhiram Venu

#13 - 02/09/2024 04:57 PM - unnikannan S

- Assignee changed from Abhiram Venu to Junaid M

#14 - 04/15/2024 10:53 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED'

1.Show Data In Tax Field On List

Done

#15 - 04/19/2024 11:55 AM - Anonymous
- Assignee changed from Junaid M to Nithin Raj

#16 - 04/24/2024 05:12 PM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#17 - 04/25/2024 04:11 PM - unnikannan S
TESTING DONE

#18 - 12/10/2024 09:59 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#19 - 12/20/2024 03:00 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

FIXED - 1)TAXES SHOWING ON NON BILLING TAXES SECTION SHOULD DEFAULTLY UNSELECTED
FIXED - 2)ON CHOOSING CUSTOMER SHOW ONLY CUSTOMER TAXES (SAME IN CASE OF SUPPLIER)

#20 - 12/20/2024 06:19 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#21 - 12/28/2024 12:31 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#22 - 01/01/2025 05:42 PM - Arathy PS
- Assignee changed from Nithin Raj to Nawal Sidique

#23 - 01/01/2025 05:44 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Customer name is not showing in the name column in the grid. - FIXED

#24 - 01/02/2025 10:45 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 01/03/2025 11:44 AM - Theja Ponon
- File clipboard-202501031144-kjggk.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue found

1)Block saving of data with existing condition - FIXED
ravvise Non Billing Tax Account

TRAVEL SOLUTIGN PVT LTD

e MNON BILLING TAX ACCOUNT has been Saved.
Customer*~ | cuspo1 Customer 1 Non Billing Taxes® =~ Non Service Taxes
Status* | Active w v Select All
Remaris
P + Billing Tax
Created By: Administrator (03/01/2025 11:41 AM)
Modified By:
o
i PPN
T a E
i # Code Name Non Billing Taxes Non Service Taxes Status
CUsoot Billing Tax Cheque Discounting Bank charge Active ra
- 2 CuUso Billing Tax Cheque Discounting Bank charge Active ra

#26 - 01/03/2025 05:45 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#27 - 01/08/2025 12:57 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Issue on Updating a non billing tax account - FIXED

#28 - 01/08/2025 06:32 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#29 - 01/09/2025 10:39 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

Files

1-CsModel.cs 1.64 KB 12/08/2022 Junaid M
2-tsModel.ts 1.27 KB 12/08/2022 Junaid M
4-CsControllerFile.cs 249 KB 12/08/2022 Junaid M
3-CsFile.cs 12.5 KB 12/08/2022 Junaid M
5-TsFile.ts 14.2 KB 12/08/2022 Junaid M
6-HtmlFile.html 1.94 KB 12/08/2022 Junaid M
sql.sql 13.6 KB 12/08/2022 Junaid M
clipboard-202501031144-kjggk.png 79.4 KB 01/03/2025 Theja Ponon
